body{
  padding: 0;
  margin: 0;
}
#bloc_page{
  width: 90%;
  margin: 0 auto;
  background-color: #f2f2f2;
}
/*pour le debut du suffix */
.input-container {
  position: relative;
}

.suffix {
  position: absolute;
  right: 10px; /* Ajustez la position selon vos besoins */
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none; /* Empêche le suffixe d'interférer avec la saisie */
  color: #000; /* Couleur du suffixe */
}

#prix {
  padding-right: 50px; /* Espace pour le suffixe */
}
/*pour le suffix*/

.conteneur_user img{
   border: 1px solid #fff;
  display: inline-block;
  width: 70px;
  height: 70px;
  border-radius: 50%;
  padding: 2px;
}
.conteneur_user img:hover{
  opacity: .5;
}
.conteneur_user .profil{
  margin-left: 10px;
}
.sous_bloc{
  margin-top: 20px;
  padding-left: 10px;
  padding-right: 10px;
}

.div_h2 h2{
  margin-bottom: 2px;
  color: blue;
}
.avis{
  font-size: 18px;
}
.avis p{
  margin-top: 0;
}
.avis b{
  font-size: 18px;
  color:#ff3300;
}
.etoil{
  color:#ff3300;
}
/*pour la partie de traitement de formulaire*/
.article_conteneur_vendeur{
  //display: flex;
  flex-direction: row;
  justify-content: space-between;
}
/*pour la partie gauche de formulaire*/
.sous_conteneur_vendeur_gauche{
  flex: 1;
  margin-right: 30px;
}
.conteneur_forum {
  margin-bottom: 10px;
}
.conteneur_forum .div_inp{
  height: 30px;
}
.conteneur_forum .div_inp select{
  width: 100%;
  height: 100%;
  font-size:16px; 
  background-color: #fff;
  border:none;
  height: 30px;
  color: gray;
  border-radius: 4px;
}
.div_text label{
  font-size: 18px;
  margin-left: 5px;
}
.div_text span{
  color: red;
}
.conteneur_forum .div_inp input{
  width: 100%;
  height: 100%;
  border-radius: 3px;
  border:1px solid gray;
  outline: none;
}
.conteneur_forum .div_inp select:focus,
.conteneur_forum .div_inp input:focus{
   border: 1px solid #4dd2ff;
   box-shadow: 0 0 5px #99e6ff;
}
.mytextarea{
  display: none;
}
.mymessage{
  height: 100px;
  width: 100%;
}
/*pour la partie droite de formulaire  pour designer la partie des images uploadées*/
.upload-section {
  background-color: white;
  border-radius: 8px;
  padding: 20px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  //margin-top: 120px;
}

#file-input {
  display: none;
}

.upload-btn {
  display: inline-block;
  padding: 10px 20px;
  background-color: #4CAF50;
  color: white;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.3s;
  text-align: center;
}

.upload-btn:hover {
  background-color: #45a049;
}

#preview-container {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  margin-top: 20px;
}

.preview-item {
  position: relative;
  width: 150px;
  height: 150px;
}
.remove-btn {
  position: absolute;
  top: 5px;
  right: 5px;
  background-color: rgba(255, 255, 255, 0.7);
  border: none;
  border-radius: 50%;
  width: 25px;
  height: 25px;
  font-size: 20px;
  line-height: 25px;
  text-align: center;
  cursor: pointer;
  transition: background-color 0.3s;
  font-weight: bold;
}

.remove-btn:hover {
  background-color: rgba(255, 0, 0, 0.7);
  color: white;
}

.preview {
  position: relative;
  display: inline-block;
  margin: 10px;
}
.preview img {
  width: 150px;
  height: 100px;
  border-radius: 5px;
}

/*  fin de du traitement de la voiture*/
/* pour le traitement du champ image avatar */
.conteneur_avatar {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
}

.lab_btn {
    padding: 10px 20px;
    background-color: #4CAF50;
    color: white;
    cursor: pointer;
    border-radius: 5px;
    margin-bottom: 10px;
}

.photo_avatar {
    display: none;
}

#preview_avatar {
    max-width: 100%;
    max-height: 100px;
    margin-top: 20px;
    border-radius: 5px;
    margin-bottom: 10px;
}
.logo {
    width: 20px; /* Ajustez la taille du logo */
    height: 20px;
    margin-right: 10px; /* Espace entre le logo et le texte */
    vertical-align: middle; /* Aligner verticalement le logo avec le texte */
}
/*pour la fin du traitement de champ avatar*/
/* button de submit et reset */
.submit_vendeur{
  margin-top: 10px;
}
.submit_vendeur input{
  background-color: #00ace6;
  outline: none;
  border: none;
  color:#fff;
  font-size: 18px;
  padding: 8px 25px;
  border-radius: 5px;
  cursor: pointer;
}
.submit_vendeur .sup{
  background-color: red;
}
.submit_vendeur input:hover{
  background-color: #007399;
}
.submit_vendeur .sup:hover{
  background-color: #990000;
}
/* partie de javascript */
.correct{
    width: 100%;
    height: 25px;
    font-size: 17px;
    margin-bottom: 7px;
    border: 1px solid #66ccff;
    box-shadow: 0 0 5px #80d4ff;
    padding-left: 3px;
}
.incorrect{
    width: 100%;
    height: 25px;
    font-size: 17px;
    margin-bottom: 7px;
    border: 1px solid red;
    box-shadow: 0 0 5px #ff3333;
    padding-left: 3px;
}
.correct_cfa{
    width: 85%;
    height: 25px;
    font-size: 17px;
    margin-bottom: 7px;
    border: 1px solid #66ccff;
    box-shadow: 0 0 5px #80d4ff;
    padding-left: 3px;
}
.incorrect_cfa{
    width: 85%;
    height: 25px;
    font-size: 17px;
    margin-bottom: 7px;
    border: 1px solid red;
    box-shadow: 0 0 5px #ff3333;
    padding-left: 3px;
}
/* pour l erreur qui provient depuis serveur */
#erreur p{
  color: red;
  font-size: 15px;
  font-family: verdana,'sans-serif';
  margin-top: 5px;
}
#erreur p span{
  color: green;
}

@media screen and (max-width:800px){
  #bloc_page{
  width: 100%;
}
  .article_conteneur_vendeur{
    flex-direction: column;
  }
  .sous_conteneur_vendeur_gauche{
    margin-right: 0
  }
  .sous_conteneur_vendeur_droite{
  margin-top: 10px;
}
  .cont_file{
 width: 100%;
}
.preview img {
  width: 120px;
  height: 80px;
  border-radius: 5px;
}
  .submit_vendeur input{
    padding: 7px 25px
  }
}
@media screen and (max-width:550px){
  .sous_bloc{
  margin-top: 20px;
  padding-left: 5px;
  padding-right: 5px;
}
  .div_h2 h2{
  margin-bottom: 2px;
  color: blue;
  font-size: 20px;
}
.avis{
  font-size: 16px;
}
#preview-container {
 justify-content: space-evenly;
}
  .submit_vendeur input{
  padding: 6px 20px;
  border-radius: 4px;
}
  
}
@media screen and (max-width:400px){
 .preview img {
  width: 100px;
  height: 80px;
  border-radius: 5px;
}

}